@import "pref";

.dwfe-form-group-material {
  width: 100%;
  margin: 0 auto;
  padding: 0;

  @include fonts4($font-size-x3, $font-height-normal, $font-weight-normal, normal);

  &.mat-form-field-appearance-fill {
    &.isFilled {
      input ~ .dwfe-icon-clear-field, // email, password, text, date-picker
      mat-select ~ .dwfe-icon-clear-field { // select
        display: inline-block;
      }
    }

    .mat-form-field-subscript-wrapper {
      @include fonts4($font-size-x1, $font-height-normal, $font-weight-normal, normal);
      padding-left: 0.75em;
      padding-right: 0.75em;
    }
  }

  &.isChanged {
    .mat-form-field-flex {
      background-color: $color-sail-approx; // input-text.component.html, select.component.html, date-picker.component.html
    }
  }

  .mat-checkbox {
    font-size: $font-size-x2;
  }
}

.dwfe-icon-clear-field {
  display: none;

  position: absolute;
  top: -22px;
  right: -8px;
}

.dwfe-icon-clear-field--password {
  top: -23px;
  right: -31.5px;
}

.dwfe-icon-clear-field--date {
  top: -22px;
  right: -50px;
}

.dwfe-icon-visible {
  width: 24px;
  height: 20px;
  user-select: none;
  fill: none;
  stroke: $color-mine-shaft;
  stroke-width: 1.2px;
  stroke-miterlimit: 10;
  cursor: pointer;
  transition: opacity 0.15s ease;
  opacity: 0.3;

  &:hover {
    opacity: 0.95;
  }
}

.dwfe-form-group-material__inputs-horizontal-spinner {
  position: absolute;
  top: 29px;
  left: 0;

  width: 100%;

  user-select: none;
}
